#include <string>
#if (defined (WIN32))
    #include <Windows.h>
#endif

#include <zmq.hpp>
#include "zhelpers.hpp"

int main(int argc, char* argv[]) {
    zmq::context_t context(1);

    zmq::socket_t server(context, ZMQ_REP);
    server.bind("tcp://*:5555");

    while (true) {
        zmq::message_t request;

        //  Wait for next request from client
        server.recv(&request);
        std::cout << "Received Hello" << std::endl;

        //  Do some 'work'
        Sleep(1000);

        //  Send reply back to client
        zmq::message_t reply(5);
        memcpy(reply.data(), "World", 5);
        server.send(reply);
    }
    return 0;
}